Subject: login and telnetd
From: [email-masked] ("Jerome Gay")

6 Aug 1997 03:10:50 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: "Jerome Gay" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
Original-To: "Sergey Okhapkin" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-Priority: 3
X-Msmail-Priority: Normal
X-Mailer: Microsoft Outlook Express 4.71.1008.3
X-Mimeole: Produced By Microsoft MimeOLE Engine V4.71.1008.3
Original-Sender: [email-masked]

I'm using b18 with latest coolview (01-Aug) under NT4SP3, and got a problem
with login.exe
After playing around with user rights, I got login.exe almost working...
(BTW, Sergey do you know exactly how to configure a user with User Manager
to have login.exe working fine ?)
I enter login name and password, which are ok, and I get :
login: no shell: /bin/sh: Not owner

in my /etc/passwd, I have : 'sysroot::500:0:::/bin/sh' among other things
(sysroot is the name of the builtin NT administrator, renamed)

telnetd :
when running 'inetd -d /etc/inetd.conf' in one bash session, and running
telnet (Sergey's telnet.exe) in another bash session, trying to connect on
localhost, I got :

telnet client side :
Trying 127.0.0.1...
setuid called, and it's not done yet.
Connected to pathfinder.[...]
Escape character is '^]'.
Connection closed by foreign host.

in bash session where inetd was started :
....
someone wants telnet
accept, ctrl 3
+ Closing from 17
1022 execl /usr/local/libexec/in.telnetd
1022 reaped, status 0x100

Is anyone using telnetd successfully ?
Any idea ?

BTW, when I run rxvt, though it's apparently working fine, it does not
source my $HOME/.bashrc file, and I also get several 'setuid called, and
it's not done yet' (in the terminal where I start rxvt and also in the rxvt
window itself).....

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".